View Task Delivery report
View Task Delivery report
GET
https://api.ocamba.com/v1/hood/reports/task-delivery
This report monitors and evaluates key delivery and engagement metrics for push notifications. It aggregates data spanning from the initial audience setup down to end-user interaction, exposing critical dimensions such as:Total Users Targeted, Push WokenUps, and Successfully Delivered Pushes, Delivery Date, Push Clicks, and Push CTR.
Tip
For easier search, Reports API gives you the possibility of using one of the following labels: today, yesterday, last-7-days, last-30-days, last-24-hours, this-month, last-month, current-hour, last-hour, last-48-hours, last-2-days, month-to-date, month-to-yesterday, quarter-to-date.
Rate limits:
- Burst: 10/s
- Steady: 150/m
Query parameters
parametersResponse schemas
›
200
application/json
›
400
application/json
›
500
application/json
curl -X GET \
"https://api.ocamba.com/v1/hood/reports/task-delivery" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v1/hood/reports/task-delivery';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v1/hood/reports/task-delivery");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
[
{
"task_id": "100477",
"delivery_date": "2022-08-05T00:00:00Z",
"total_user": 0,
"push_unsubscriptions": 0,
"delivered": 0,
"failed": 0,
"wokenup": 3,
"total_click": 0
},
{
"task_id": "15432861",
"task_name": "16596949165579907044",
"delivery_date": "2022-08-05T00:00:00Z",
"total_user": 1,
"push_unsubscriptions": 0,
"delivered": 1,
"failed": 0,
"wokenup": 1,
"total_click": 0
}
]
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses